ps_searchfuncs_s Struct Reference

V-table for search algorithm. More...

`#include <pocketsphinx_internal.h>`

## Data Fields

int(* | start )(ps_search_t *search)
int(* | step )(ps_search_t *search, int frame_idx)
int(* | finish )(ps_search_t *search)
int(* | reinit )(ps_search_t *search, dict_t *dict, dict2pid_t *d2p)
void(* | free )(ps_search_t *search)
ps_lattice_t *(* | lattice )(ps_search_t *search)
char const *(* | hyp )(ps_search_t *search, int32 *out_score, int32 *out_is_final)
int32(* | prob )(ps_search_t *search)
ps_seg_t *(* | seg_iter )(ps_search_t *search, int32 *out_score)

## Detailed Description

V-table for search algorithm.

Definition at line 82 of file pocketsphinx_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/pocketsphinx_internal.h